Subject: Re: [PATCH net-next 06/10] {NET,IB}/mlx4: Add device managed flow steering firmware API

From: Or Gerlitz <[email-masked]>
Date: Mon, 2 Jul 2012 10:55:28 +0300

On 7/2/2012 12:42 AM, David Miller wrote:
> [...] Module parameters stink because every driver is going to provide 
> the knob differently, with a different name, and different semantics. 
> This creates a terrible user experience, and I will not allow it. 

OK, so if looking on what we are left with on the table, seems that 
sysfs entry on the mlx4_core
level (as we do for the port link type {IB, Eth} or IB port MTU) could 
be fine here, Roland, agree?

Or.

We're talking on the /sys/bus/pci/devices entry for the card, e.g for a 
card sitting
in 06:00.0 this new entry will be under /sys/bus/pci/devices/0000:06:00.0/